[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# S_ISREG

Is file a regular file

## Declaration

Source position: oldlinux.pp line 1600

`function S_ISREG(`
`m: Word`
`):Boolean;`

## Description

S_ISREG checks the file mode m to see whether the file is a regular file. If so it returns True

## See also

FStat |  | Retrieve information about a file
S_ISFIFO |  | Is file a FIFO
S_ISLNK |  | Is file a symbolic link
S_ISCHR |  | Is file a character device
S_ISBLK |  | Is file a block device
S_ISDIR |  | Is file a directory
S_ISSOCK |  | Is file a unix socket

Documentation generated on: Feb 26 2014